package com.lz.modules.flow.dao;
/**
* <p>
* 绩效管理菜单表 服务类
* </p>
*
* @author quyixiao
* @since 2020-11-02
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.app.dto.EvaluationGroupInfo;
import com.lz.modules.flow.entity.StaffRole;
import com.lz.modules.flow.entity.StaffRoleEvaluationGroup;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StaffRoleEvaluationGroupMapper extends BaseMapper<StaffRoleEvaluationGroup> {


	StaffRoleEvaluationGroup selectStaffRoleEvaluationGroupById(@Param("id") Long id);


	Long insertStaffRoleEvaluationGroup(StaffRoleEvaluationGroup staffRoleEvaluationGroup);


	int updateStaffRoleEvaluationGroupById(StaffRoleEvaluationGroup staffRoleEvaluationGroup);


	int updateCoverStaffRoleEvaluationGroupById(StaffRoleEvaluationGroup staffRoleEvaluationGroup);


	int deleteStaffRoleEvaluationGroupById(@Param("id") Long id);

    List<EvaluationGroupInfo> selectStaffRoleEvaluationGroupBy(@Param("roleId") Long roleId);

	List<Long> selectEvaluationGroupIdsByRoleId(@Param("roleId")Long roleId);


    void deleteStaffRoleEvaluationGroupByRoleId(@Param("roleId") Long roleId);


    List<StaffRoleEvaluationGroup> selectStaffRoleEvaluationsGroupByStaffRoles(@Param("list") List<StaffRole> staffRoles);

	StaffRoleEvaluationGroup selectEvaluationGroupIdsByRoleIdGroupId(@Param("roleId") Long roleId, @Param("groupId") Long groupId);

}